import agreement from './json/agreement.json'

export default {
    lan: 'LAN mouth',//LAN口
    wan: 'WAN mouth',//WAN口
    required: 'required',//必选
    open: 'open',//开启
    close: 'close',//关闭
    valid: ' valid ',//有效
    Please: 'Please enter the',//请输入
    select: 'Please select',//请选择
    gateway: ' gateway',//网关
    save: 'Save',//保存
    cancel: 'Cancel',//取消
    confirm: 'Confirm',//确定
    addChannel: 'Create channel',//新增通道
    addDevice: 'Create device',//新建设备
    del: 'Del',//删除
    edit: 'Edit',//编辑
    put: 'Put it way',//收起
    success:'Successfully saved',
    fail:'Save failed',
    // DB/斥候-ip配置有线网关
    wiredgatewayip: {
        title: 'IP configuration',//标题
        prompt: 'Attention: This page involves troubleshooting, please check and modify the default values',//提示
        port: 'Ethernet port',//网口
        SubnetMask: 'Subnet Mask:',//子网掩码
        IP: 'IP address:',//ip地址
        gateway: 'Default gateway',//默认网关
        DNS1: 'Preferred DNS',//首选dns
        DNS2: 'Alternative DNS:',//备选dns
        MAC: 'MAC address',//MAC地址
        copy: 'copy',//拷贝
        DNS: 'DNS',//DNS
        networkType: 'Network type:',//网络类型
        gateWay: 'Gateway:',//网关
        staticIP: 'Static IP',//静态IP
        // 校验
        rules: {
            ippz_wllx: 'Please enter the network type',//请输入网络类型
            ippz_ip: 'Please enter a IP address',//请输入IP地址
            ippz_ip1: 'Please enter a valid IP address',
            ippz_zwym: 'Please enter a subnet mask',//请输入子网掩码
            ippz_zwym1: 'Please enter a valid subnet mask',
            ippz_dns_by: 'Please enter a alternative DNS server address',//请输入备用的DNS服务器地址
            ippz_dns_by1: 'Please enter a valid alternative DNS server address'
        },
        options1: [
            {
                value: "Wired area precision carving equipment 2",//有线区精雕
                label: "Wired area precision carving equipment 2",
            },
            {
                value: "Wireless area precision carving equipment 2",//无线区精雕
                label: "Wireless area precision carving equipment 2",
            },
        ]
    },
    //DB/斥候-ip配置无线网关
    wirelessgatewayip: {
        title: 'IP configuration',//标题
        prompt: 'Attention: This page involves troubleshooting, please check and modify the default values',//提示
        SSID: 'SSID:', //SSID
        clientSSID: 'Client SSID:',//客户端SSID
        certificationMethod: 'Certification method:',//认证方式-
        password: 'password:',//密码
        SubnetMask: 'Subnet Mask:',//子网掩码
        IP: 'IP address:',//ip地址
        gateway: 'Default gateway:',//默认网关
        DNS1: 'Preferred DNS:',//首选dns
        DNS2: 'Alternative DNS:',//备选dns
        MAC: 'MAC address:',//MAC地址
        copy: 'copy',//拷贝
        encryptionMethod: 'Encryption method:',//加密方式
        method: 'Networking methods:',//方式
        Wired: 'Wired',//有线
        WIFI: 'WiFi',//无线
        rules: {
            ippz_zwym: 'Please enter a subnet mask', //请输入子网掩码
            ippz_zwym1: 'Please enter a valid subnet mask',//请输入有效子网掩码
            ippz_ip: 'Please enter a IP address',//请输入IP地址
            ippz_ip1: 'Please enter a valid IP address',//请输入有效IP地址
            ippz_mrwg: 'Please enter a default gateway',//请输入的网关地址
            ippz_mrwg1: 'Please enter a valid default gateway',//请输入有效的网关地址
            ippz_dns_sx: 'Please enter a preferred DNS server address',//请输入的主DNS服务器地址
            ippz_dns_sx1: 'Please enter a valid preferred DNS server address',//请输入有效的主DNS服务器地址
            ippz_dns_by: 'Please enter a alternative DNS server address',//请输入备用的服务器地址
            ippz_dns_by1: 'Please enter a valid alternative DNS server address',
            ippz_mac: "Please enter the MAC address",//请输入mac地址
            ippz_wifi_ssid: "Please enter the SSID", //请输入SSID
            ippz_wifi_mm: "Please enter the password",//请输入密码
        },
        options1: [
            {
                value: "Open",
                label: "Open",
            },
            {
                value: "Shared",
                label: "Shared",
            },
            {
                value: "WPA-PSK",
                label: "WPA-PSK",
            },
            {
                value: "WPA",
                label: "WPA",
            },
            {
                value: "WPA2-PSK",
                label: "WPA2-PSK",
            },
            {
                value: "WPA2",
                label: "WPA2",
            },
        ],
    },
    // DB/斥候-网关配置
    dbcollectiongate: {
        title: 'Create a new gateway',//新建网关
        name: 'Gateway Name:',//网关名称
        ID: 'Gateway ID:',//网关ID
        type: 'Gateway type:',//网关类型
        //请确认选择的网关类型与网关实体一致:否则该工程无法下载至实体网关
        dialogContent: 'Please confirm that the selected gateway type matches the gateway entity: otherwise, the project cannot be downloaded to the physical gateway',//弹窗提示信息
        dialogTitle: 'System prompt',//系统提示
        // 多选框
        options1: [
            {
                value: "Wired area gateway1", //有线区网关
                label: "Wired area gateway1",
            },
            {
                value: "Wireless area gateway1", //无线区网关
                label: "Wireless area gateway1",
            },
        ],
        // 斥候有线工业网关-数据采集配置-网关配置
        options2: [
            {
                value: "Wired area gateway2", //有线区网关
                label: "Wired area gateway2",
            },
            {
                value: "Wireless area gateway2", //无线区网关
                label: "Wireless area gateway2",
            },
        ],
        options3: [
            {
                value: "loT Lite gateway",
                label: "loT Lite gateway",
            },
            {
                value: "MODBUS gateway",
                label: "MODBUS gateway",
            },
            {
                value: "BACNET gateway",
                label: "BACNET gateway",
            },
            {
                value: "OPC UA gateway",
                label: "OPC UA gateway",
            },
            {
                value: "OPC DA gateway",
                label: "OPC DA gateway",
            },
            {
                value: "loT gateway",
                label: "loT gateway",
            },
        ],
        // 校验
        rules: {
            wgpz_wgmc: 'Please select gateway name',//请选择网关名称
            wgpz_wgid: 'Please select gateway ID',//请选择网关ID
            wgpz_wglx: 'Please select gateway type',//请选择网关类型
        },


    },
    // DB-通道配置
    channelconfig: {
        title: 'Channel parameter configuration',//通道参数设置
        name: 'Channel name:',//通道名称
        channel: 'Channel:',//通道
        driverName: 'Driver Name:',//驱动名称
        IP: 'IP address:',//iP地址
        port: 'Port number:',//端口号
        overTime: 'Over time(ms):',//超过时间
        intervalTime: 'Interval time(ms):',//间隔时间
        pollTime: 'poll time(ms):', //轮询时间
        retryCount: 'Retry count:', //重复次数
        title1: 'Channel parameter configuration',//高级参数
        check: 'Collect and use continuous addresses',//采集使用连续地址
        reading: 'Reading and writing duty cycle',//读写占空比
        agreement: agreement.zh,//协议选择的侧边栏
        agreementName: 'Protocol selection',//协议选择
        serialPort: 'Serial port number:',//串口号
        baudRate: 'Baud rate:',//     波特率
        dataBits: 'Data bits:',//     数据位
        stopBit: 'Stop bit:',//     停止位
        parityCheck: 'Parity check:',//     奇偶校验
        options: [
            {
                value: "Ethernet port",
                label: "Ethernet port",
            },
            {
                value: "Serial port",
                label: "Serial port",
            },
        ],
        options1: [
            {
                value: "Wired area channel1", //有线区通道
                label: "Wired area channel1",
            },
            {
                value: "Wireless area channel1", //无线区通道
                label: "Wireless area channel1",
            },
        ],
        rules: {
            tdpz_tdmc: 'Please enter the channel name',//请输入通道名称
            tdpz_td: 'Please enter the channel',//请输入通道
            tdpz_qdmc: 'Please enter the driver name',//请输入驱动名称
            tdpz_ip: 'Please enter a IP address',//请输入IP地址
            ip2: 'Please enter a valid IP address',//请输入有效的IP地址
            tdpz_port: 'Please enter the port number',//请输入端口号
            tdpz_cssj: 'Please enter the over time(ms)',//请输入超出时间
            tdpz_jgsj: 'Please enter the interval time(ms)',//请输入间隔时间
            tdpz_lxsj: 'Please enter the poll time(ms)',//请输入轮询时间
            tdpz_cfcs: 'Please enter the retry count(ms)',//请输入重复次数
            tdpz_chuankou: 'Please enter the Serial port number',//请输入串口号
            tdpz_btl: 'Please enter the baud rate',//请输入波特率
            tdpz_tzw: 'Please enter the stop bit',//请输入停止位
            tdpz_sjw: 'Please enter the data bits',//请输入数据位
            tdpz_jojy: 'Please enter the parity check',//请输入奇偶校验
        }
    },
    // DB-设备配置
    configuration: {
        deviceProperties: 'Device Properties',//设备属性
        deviceID: 'Device ID:',//设备ID
        deviceName: 'Device name:',//设备名称
        MACAddress: 'MAC address:',//MAC地址
        deviceAddress: 'Device address:',//设备地址
        disableDevice: 'Disable device',//禁用地址
        addressSelection: 'Base address selection',//基地址选择
        options1: [
            {
                value: "Wired area processing equipment 1",//有线区加工设备1
                label: "Wired area processing equipment 1",
            },
            {
                value: "Wireless area processing equipment 1",//无线区加工设备1
                label: "Wireless area processing equipment 1",
            },
        ],
        options2: [
            {
                value: "Wired area precision carving equipment 1",//有线区精雕1
                label: "Wired area precision carving equipment 1",
            },
            {
                value: "Wireless area precision carving equipment 1",//无线区精雕1
                label: "Wireless area precision carving equipment 1",
            },
        ],
        // 校验
        rules: {
            sbpz_sbid: 'Please enter the device ID',//请输入设备ID
            sbpz_sbmc: 'Please enter the device name',//请输入设备名称
            sbpz_mac: 'Please enter the MAC address',//请输入设备地址
            sbpz_sbdz: 'Please enter the MAC address'
        }
    },
    // DB/斥候-数据采集
    dbcollect: {
        TagID: 'TagID',//TagID
        name: 'name',//名字
        dataArea: 'Data area',//数据区
        registerAddress: 'Register address (base 10)',//寄存地址(十进制)
        type: 'Data collection type',//采集数据类型
        byteOrder: 'Byte order',//字节序
        readWrite: 'Read Write Properties',//读写属性
        Multiplier: 'Multiplier',//倍率
        uploadMode: 'Upload mode',//上传模式
        options7: [
            {
                value: "Reading and writing",//读写
                label: "Reading and writing",
            },
            {
                value: "read-only",//只读
                label: "read-only",
            },
            {
                value: "Only write",//只写
                label: "Only write",
            },
        ],
        options2: [
            {
                value: "Emergency Stop Status",
                label: "Emergency Stop Status",
            },
            {
                value: "Production Quantity",
                label: "Production Quantity",
            },
            {
                value: "Relative Position X",
                label: "Relative Position X",
            },
            {
                value: "Relative Position Y",
                label: "Relative Position Y",
            },
            {
                value: "Relative Position Z",
                label: "Relative Position Z",
            },
            {
                value: "Actual Position X",
                label: "Actual Position X",
            },
            {
                value: "Actual Position Y",
                label: "Actual Position Y",
            },
            {
                value: "Actual Position Z",
                label: "Actual Position Z",
            },
            {
                value: "Spindle Speed",
                label: "Spindle Speed",
            },
            {
                value: "Current Tool",
                label: "Current Tool",
            },
            {
                value: "Preselected Tool",
                label: "Preselected Tool",
            },
            {
                value: "Alarm Information",
                label: "Alarm Information",
            },
            {
                value: "Drive Unit Current",
                label: "Drive Unit Current",
            },
            {
                value: "Load Current",
                label: "Load Current",
            },
            {
                value: "Rated Current",
                label: "Rated Current",
            },
            {
                value: "Running Time",
                label: "Running Time",
            },
            {
                value: "Processing Time for Product",
                label: "Processing Time for Product",
            },
            {
                value: "Operating Mode",
                label: "Operating Mode",
            },
            {
                value: "Cutting Speed",
                label: "Cutting Speed",
            },
            {
                value: "Task Information",
                label: "Task Information",
            },
            {
                value: "Enable Status",
                label: "Enable Status",
            },
            {
                value: "System Status",
                label: "System Status",
            },
            {
                value: "Executing Task Information",
                label: "Executing Task Information",
            },
            // {
            //     value: "进给倍军",
            //     label: "进给倍军",
            // },
            {
                value: "Axis Speed",
                label: "Axis Speed",
            },
            {
                value: "Axis Angle",
                label: "Axis Angle",
            },
            {
                value: "Feed Speed",
                label: "Feed Speed",
            },
        ],
        options5: [
            {
                value: " BIT（bit 0/1）",
                label: " BIT（bit 0/1）",
            },
            {
                value: "WORD（16 bit unsigned integer）",
                label: "WORD（16 bit unsigned integer）",
            },
            {
                value: "INT（16 bit signed integer）",
                label: "INT（16 bit signed integer）",
            },
            {
                value: "DWORD（32 bit unsigned integer）",
                label: "DWORD（32 bit unsigned integer）",
            },
            {
                value: "DINT（32 bit signed integer）",
                label: "DINT（32 bit signed integer）",
            },
            {
                value: "FLOAT（single precision）",
                label: "FLOAT（single precision）",
            },
            {
                value: "DOUBLE",
                label: "DOUBLE",
            },
            {
                value: "STRING",
                label: "STRING",
            },
            {
                value: "BCD16",
                label: "BCD16",
            },
            {
                value: "ULONG",
                label: "ULONG",
            },
            {
                value: "LONG",
                label: "LONG",
            },
        ],
    },
    //DB-mqtt数据采集点
    mqttClient: {
        enable: 'Enable',//启动
        serverIp: 'Server IP:',//服务器IP
        port: 'Port:',//端口号
        gatewaySN: 'Gateway SN number:',//网关sn号
        realTimePublish: 'The theme of real-time data publishing',//实时数据发布的主题
        uploadMode: 'Upload mode:',//上传模式
        uploadCycle: 'Upload cycle(s):',//上传周期
        dataFilter: 'Data filtering:',//数据过滤
        oneCheck: 'Value change',//值改变
        twoCheck: 'Collecting achievement',//采集成功
        threeCheck: 'Timestamp change',//时间戳改变
        deviceName: 'Device name',//设备名称
        rules: {
            mqtt_port: "Please enter the port",//请输入端口
            mqtt_wgsn: "Please enter the server IP",//请输入网关ID
            mqtt_sssjfbzt: "Please enter the publishing",//请输入主题
            mqtt_scms: "Please enter the upload mode",//请输入上传模式
            mqtt_sczq: "Please enter the upload cycle(s)",//请输入上传周期
            mqtt_sjgl: "Please enter the data filtering",//请输入数据过滤
            ip1: 'Please enter a IP address',//请输入IP地址
            ip2: 'Please enter a valid IP address',//请输入有效的IP地址
        },
        options2: [
            {
                value: "Periodic upload",
                label: "Periodic upload",
            },
            {
                value: "Upload on the hoaur",
                label: "Upload on the hoaur",
            },
        ],
    },
    //   斥候设备配置
    reconnoitreConfiguration: {
        edit: 'Edit device',//编辑设备
        title: 'Create device',//新建设备
        name: 'Device name:',//设备名称
        controllerProtocol: 'Controller Protocol:',//控制器协议
        IPAddress: 'IP address:',//IP地址
        portNumber: 'Port Number:',//端口号
        slaveAddress: 'Slave address:',//从站地址
        pollTime: 'poll Time(s):',//轮询周期(s)
        params: 'Advanced parameters',//高级参数
        agreementName: 'Protocol selection',//协议选择
        millisecond: 'Enable millisecond collection:',//启用毫秒采集
        batch: 'Enable batch collection:',//启用批量采集
        maxBatch: 'Maximum batch collection quantity:',//最大批量采集数
        onChangData: 'Periodic reporting of Onchange data:',//周期上报OnChange数据
        overTime: 'Collection overtime(ms):',//采集超过时间(ms)
        intervalTime: 'Communication time interval(ms):',//通讯事件间隔(ms)
        writeFunction1: 'Write function code to coil register:',//线圈寄存器写入功能码
        writeFunction2: 'Keep Register Write Function Code:',//保持寄存器写入功能码
        // 校验提示码
        rules: {
            sbpz_sbmc: "Please enter the channel name",//请输入通道名称
            sbpz_kzqxy: "Please enter the Controller Protocol",//请输入控制协议
            sbpz_ip: 'Please enter a IP address',//请输入IP地址
            sbpz_ip1: 'Please enter a valid IP address',//请输入IP地址
            sbpz_czdz: "Please enter the slave address",//请输入从站地址
            sbpz_port: "Please enter the port number",//请输入端口号
            sbpz_lxzq: "Please enter the poll Time(s)",//请输入轮询时间
            sbpz_qyhmcj: "Use Enable millisecond collection",//启用毫秒采集
            sbpz_qyplcj: "Use Enable batch collection",//启用批量采集
            sbpz_zdplcjs: "Please enter the maximum batch collection quantity",//请输入最大批量采集数
            sbpz_cjcgsj: "Please enter the collection overtime(ms)",//请输入采集超过时间
            sbpz_zqsbonchange: "周期上报Onchange数据",//周期上报Onchange数据
            sbpz_txsjjg: "Please enter the communication time interval(ms)",//请输入通讯时间间隔
        },
        options1: [
            {
                value: "Wired area precision carving equipment 2",
                label: "Wired area precision carving equipment 2",
            },
            {
                value: "Wireless area precision carving equipment 2",
                label: "Wireless area precision carving equipment 2",
            },
        ]
    },
    //  斥候网关mqtt
    chmqtt: {
        title: 'Standard MQTT:',//标准mqtt
        enable: 'Enable:',//启用
        serveIp: 'Serve IP:',//服务器ip
        GatewaySN: 'Gateway SN number:',//网关SN
        port: 'Port:',//网口
        realTimePublish: 'The theme of real-time data publishing:',//实施数据发布主题
        deviceName: 'Device name',//设备名称
        release: 'Information release',//信息发布
        rules: {
            mqtt_ip: 'Please enter a IP address',//请输入IP地址
            mqtt_ip1: 'Please enter a valid IP address',//请输入有效IP地址
            mqtt_wgsn: "Please enter gateway SN number",//请输入网关SN
            mqtt_port: "Please enter port",//请输入端口
            mqtt_keepalive: "Please enter keepAlive",//请输入KeepAlive
            mqtt_publishing: "Please enter publishing",//请输入主题
            // mqtt_qos:"Please enter Gateway SN number",//请输入上传周期
        }

    },
    // 串口ip配置
    ckipconfig: {
        title: 'IP configuration',//IP配置
        prompt: 'This page involves troubleshooting, please check and modify the default values',//本页面涉及排错，请检查修改默认值
        ipMethod: 'IP acquisition method:',//IP获取方式
        getDNS: 'DNS acquisition method:',//DNS获取方式
        localIP: 'Local IP:',//本地地址
        mask: 'Subnet Mask:',//子网掩码
        gateway: 'Default gateway:',//网关地址
        primaryDNS: 'Primary DNS server:',//主DNS服务器
        backupDNS: 'Backup DNS server',//备用DNS服务器
        auto: 'Automatic acquisition(default)',//自动获取
        manual: 'Manual setting',//手动设定
        rules: {
            ipMethod: 'Please select IP acquisition method',//请选择IP获取方式
            getDNS: 'Please select DNS acquisition method',//请选择DNS获取方式
            localIP: 'Please enter the local IP',//请输入本地地址
            localIP1: 'Please enter the valid local IP',
            mask: 'Please enter the subnet mask',//请输入子网掩码
            mask1: 'Please enter the valid subnet mask',
            gateway: 'Please enter the Default gateway',//请输入网关地址
            gateway1: 'Please enter the valid Default gateway',
            primaryDNS: 'Please enter the Primary DNS server',//请输入主DNS服务器
            primaryDNS1: 'Please enter the valid the Primary DNS server',
            backupDNS: 'Please enter the Backup DNS server',//请输入备用DNS服务器
            backupDNS1: 'Please enter the valid Backup DNS server'
        }
    },
    //     串口端口配置
    ckportconfig: {
        title: 'Port configuration',//端口配置
        baudRate: 'Baud rate(bps):',//波特率(bps)
        dataBits: 'Data bits(bit):',//数据位(bit)
        checkBit: 'Check bit:',//校验位
        stopBit: 'Stop bit',//停止位
        controlMode: 'Flow control mode',//流控模式
        packagingLength: 'Packaging length(bytes)',//打包长度
        packagingTime: 'Packaging time(ms)',//打包时长
        synBaudRate: 'Synchronous Baud Rate(RF2217)',//同步波特率
        checked: 'Enable serial heartbeat packet',//使能串口心跳包
        enable: 'Enable',//启用
        rules: {
            dkpz_btl: "Please select Baud rate(bps)",
            dkpz_sjw: "Please select Data bits(bit)",
            dkpz_tzw: "Please select Stop bit",
            dkpz_jyw: "Please select Check bit",
            dkpz_lkms: "Please select Flow control mode",
            dkpz_dbcd: "Please select Packaging length(bytes)",
            dkpz_dbsj: "Please select packagingTime",
            dkpz_tbbtl: "Please select Synchronous Baud Rate(RF2217)",//请选择同步波特率
        },
        checkBitList: [
            {
                label: 'None',
                value: 'None'
            },
            {
                label: 'Odd check',
                value: 'Odd check'
            },
            {
                label: 'Parity check',
                value: 'Parity check'
            }
        ],
        datas: [
            {
                name: "Port",
                children: [
                    {
                        name: "Port 1",
                    },
                    {
                        name: "Port 2",
                    },
                    {
                        name: "Port 3",
                    },
                    {
                        name: "Port 4",
                    },
                    {
                        name: "Web page to serial port",
                    },
                ],
            },
        ],

    },
    //485towifi-串口及网络协议设置
    toWifi: {
        title: 'Serial port and network protocol configuration',//串口及网络协议设置
        parameter: 'Serial port parameter settings',//串口参数设置
        baudRate: 'Baud rate(bps):',//波特率(bps):
        dataBit: 'Data bits(bit)',//数据位(bit):
        checkBit: 'Check bit:',//检验位:
        stopBit: 'Stop bit:',//停止位
        controlMode: 'Flow control mode:',//流控:
        function: '485 Function:',//485功能:
        adaptiveBaudRate: 'Adaptive baud rate(similar to RFC2117):',//自适应波特率(类RFC2117)
        other: 'Other settings',//其他设置
        portAuto: 'Serial port automatic framing',//串口自动成频:
        packageType: 'Registration package type',//注册包类型
        customPacket: 'Custom heartbeat packet',//自定义心跳包
        socketFunction: 'Socket distribution function',//套接字分发功能
        Note: 'Note:After activation, the module actively sends a registration package to the server, which is used to identify the device.First: Send registration package when module is established,every: Send registration package every time data is sent',
        checkBitList: [
            {
                label: 'None',
                value: 'None'
            },
            {
                label: 'Odd check',
                value: 'Odd check'
            },
            {
                label: 'Parity check',
                value: 'Parity check'
            }
        ],
        hardware: 'Hardware flow control'
    },
    // 串口服务器-485towifi-网口配置
    cknet: {
        title: 'Network port configuration',//网口设置
        Ethernet: 'Ethernet functionality',//以太网功能
        openNetworkPort: 'Open network port:',//开启网口
        workingMode: 'Network port working mode:',//网口工作方式
        networkModeSetting: 'Network port mode settings',//网口模式设置
        networkMode: 'Network port mode:',//网口模式
    },
    // 串口服务器-485towifi-无线配置
    ckwireless: {
        title: 'Wireless configuration',//无线设置
        networkName: 'Network name:',//网络名称
        workingMode: 'Working mode:',//工作方式
        encryptionMode: 'Encryption mode:',//加密方式
        encryptionAlgorithm: 'Encryption algorithm:',//加密算法
        password: 'Password:',//密码
        mode: 'mode',//模式
        Wireless: 'Wireless Zone Wireless Network',//无线区无线网
        WirelessName: 'Wireless Network Name',//无线网名称
    },
    //工业网闸配置-网络管理
    networkmanagement: {
        management: 'Network management',//网络管理
        prompt: 'This page involves troubleshooting, please check and modify the default values',//本页面涉及排错，请检查修改默认值
        internalNetworkCard: 'Internal network card',//内网网卡
        externalNetworkCard:'External network card', //外网网卡
        networkCardName: 'Network card name',//网卡名称
        IPV4Address: 'IPV4 address',//IPV4地址
        IPV4Mask: 'IPV4  Mask',//IPV4掩码
        options1: [
            {
                label: "Wired area network gate (internal network)",
                value: "Wired area network gate (internal network)",
            },
            {
                label: "Wireless area network gateway (internal network)",
                value: "Wireless area network gateway (internal network)",
            },
        ],
        options2: [
            {
                label: "Wired area network gate (external network)",
                value: "Wired area network gate (external network)",
            },
            {
                label: "Wireless area network gateway (external network)",
                value: "Wireless area network gateway (external network)",
            },
        ],
    },
    //工业网闸配置-对象管理
    objmanagement: {
        title: 'Object management',//对象管理
        createObject: 'Create object',//新增对象
        num: 'num',//序号
        objectName: 'Object name',//对象名称
        IPAddress: 'IP address',//IP地址信息
        Operation: 'Operation',//操作
        ipType: 'IP type:',//IP类型:
        conditionalLimitations: 'Only two pieces of data can be added',
        option: [
            {
                label: 'Data acquisition server',
                value: 'Data acquisition server',
            },
            {
                label: 'Wired area switch',
                value: 'Wired area switch',
            },
            {
                label: 'Wireless area router',
                value: 'Wireless area router',
            },
        ],
        rules: {
            ippz_ip: 'Please enter a IP address',//请输入IP地址
            ippz_ip1: 'Please enter a valid IP address',//请输入有效IP地址
            ip_type: 'Please select an IP type', //请选择一个ip类型
            ip_objName: 'Please select an object name' //请选择一个对象名称
        }
    },
    // 工业网闸配置-策略管理
    strategyManagement: {
        title: 'Strategy management',//策略管理
        createStrategy: 'Create strategy',//新增策略
        num: 'num',//序号
        name: 'name',//名称
        Protocol: 'Protocol',//协议
        workingMode: 'Working mode',//工作模式
        sourceObject: 'Source Object',//源对象
        sourcePort: 'Source Port',//源端口
        entranceNetworkCard: 'Entrance network card',//入口网卡
        entranceIP: 'Entrance IP',//入口IP
        entranceGateway: 'Entrance gateway',//入口网关
        exportNetworkCard: 'Export network card',//出口网卡
        exportIP: 'Export IP',//出口IP
        exportGateway: 'Export gateway',//出口网关
        targetObject: 'Target object',//目的对象
        targetPort: 'Target Port',//目的端口
        Operation: 'Operation',//操作
    },
    //工业网闸配置-策略管理-添加策略
    addstrategy: {
        title: 'Create strategy:',//添加策略
        name: 'Name:',//名称
        protocol: 'protocol:',//协议
        workingMode: 'Working mode:',//工作模式
        undefinedCommand: 'Undefined command:',//未定义命令
        sourceObject: 'Source Object',//源对象
        sourcePort: 'Source Port',//源端口
        targetObject: 'Target object',//目的对象
        targetPort: 'Target Port:',//目的端口
        entranceGateway: 'Entrance gateway',//入口网关
        entranceNetworkCard: 'Entrance network card',//入口网卡
        entranceIP: 'Entrance IP',//入口IP
        exportGateway: 'Export gateway',//出口网关
        exportNetworkCard: 'Export network card',//出口网卡
        exportIP: 'Export IP',//出口IP
        recordLogs: 'Record logs',//记录日志
        commandList: 'Command list',//命令列表
        createCommand: 'Create command',//新增命令
        num: 'num',//序号
        command: 'Command',//命令(功能码)
        startingAddress: 'Starting address',//起始地址
        addressLength: 'Address length',//地址长度
        description: 'Description',//描述
        action: 'Action',//动作
        Operation: 'Operation',//操作
        deviceID: 'Device ID',//设备ID
        options1: [
            {
                label: "Wired Zone Strategy",
                value: "Wired Zone Strategy",
            },
            {
                label: "Wireless zone strategy",
                value: "Wireless zone strategy",
            },
        ],
        options3: [
            {
                label: "proxy pattern",
                value: "proxy pattern",
            },
            {
                label: "Routing mode",
                value: "Routing mode",
            },
            {
                label: "Transparent mode",
                value: "Transparent mode",
            },
        ],
        options4: [
            {
                label: "有线区交换机",
                value: "有线区交换机",
            },
            {
                label: "无线区路由器",
                value: "无线区路由器",
            },
        ],
        options5: [
            {
                label: "refuse",
                value: "refuse",
            },
            {
                label: "allow",
                value: "allow",
            },
        ],
        options6: [
            {
                label: "Reading coil status",
                value: "Reading coil status",
            },
            {
                label: "Read input status",
                value: "Read input status",
            },
            {
                label: "Read Line Holding Register",
                value: "Read Line Holding Register",
            },
            {
                label: "Read input register",
                value: "Read input register",
            },
            {
                label: "Force a single coil",
                value: "Force a single coil",
            },
            {
                label: "Pre set a single register",
                value: "Pre set a single register",
            },
            {
                label: "Force multiple registers",
                value: "Force multiple registers",
            },
        ],
        options7: [
            {
                label: "Wired Area Switch Command",
                value: "Wired Area Switch Command",
            },
            {
                label: "Wireless Area Router Command",
                value: "Wireless Area Router Command",
            },
        ],
        options8: [
            {
                label: "有线区网闸（内网）",
                value: "有线区网闸（内网）",
            },
            {
                label: "无线区网闸（内网）",
                value: "无线区网闸（内网）",
            },
        ],
        options9: [
            {
                label: "有线区网闸（外网）",
                value: "有线区网闸（外网）",
            },
            {
                label: "无线区网闸（内网）",
                value: "无线区网闸（内网）",
            },
        ],
        clgl_wdyml: 'refuse',
        rules1: {
            clgl_name: 'Choose a name',
            clgl_xy: 'Select at least one selection protocol',
            clgl_gzms: 'Choose a working mode',
            clgl_mddk: 'The destination port is a required parameter',
            clgl_rkwk: 'Select an entrance network card',
            clgl_ckwk: 'Select an export network card',
            clgl_ydx: 'Select a source object',
            clgl_ydk: 'The source port cannot be empty',
            clgl_mddx: 'The source port cannot be empty',
            clgl_wdyml: 'Select a command',
            nullIp: 'Please enter your IP address',
            valid: 'Please enter a valid IP address'
        },
        ruleForm2: {
            cmdlist_ml: "Read coil status",
            cmdlist_sbid: "",
            cmdlist_qsdz: "",
            cmdlist_dzcd: "",
            cmdlist_ms: "",
            cmdlist_dz: "",
        },
        rules2: 'Required'
    },
    //网络优化-网关配置
    ntconfig: {
        title: 'Gateway Config',//网关配置
        createGateway: 'Create gateway',//新建网关
        num: 'num',//序号
        gatewayId: 'Gateway ID',//网关ID
        gatewayNumber: 'Gateway number',//网关编号
        gatewayName: 'Gateway name',//网关名称
        gatewayType: 'Gateway type',//网关类型
        details: 'Details',//详细
        parameterConfiguration: 'Parameter configuration',//参数配置
        check: 'Check',//查看
        options: [
            {
                label: 'Wired Area Gateway 1',
                value: 'Wired Area Gateway 1'
            },
            {
                label: 'Wired Area Gateway 2',
                value: 'Wired Area Gateway 2'
            },
            {
                label: 'Wireless Zone Gateway 1',
                value: 'Wireless Zone Gateway 1'
            },
            {
                label: 'Wireless Zone Gateway 2',
                value: 'Wireless Zone Gateway 2'
            },
        ],
        rules: 'Please choose an option'
    },
    //     网络优化-网关维护
    ntmaintenance: {
        createParameter: 'Create parameter',//新增参数
        num: 'num',//'序号'
        gatewaySNNumber: 'Gateway SN number',//网关编号
        parameterKey: 'Parameter Key',//参数Key
        parameterName: 'Parameter name',//参数名称
        decimalPlaces: 'Decimal places',//小数位数
        setValue: 'Set value',//设定值
        deviationValue: 'Deviation value',//偏差值
        affiliatedGateway: 'Affiliated gateway',//所属网关
        title: 'Gateway maintenance', //弹窗名称
        rules: {
            sswg: 'required parameter',
            csname: 'required parameter',
            sdz: 'required parameter',
            cskey: 'required parameter',
            xsws: 'required parameter',
            pcz: 'required parameter'
        },
        options: [
            {
                label: 'Production data',
                value: 'Production data'
            },
            {
                label: 'Spindle speed',
                value: 'Spindle speed'
            },
            {
                label: 'Emergency stop status',
                value: 'Emergency stop status'
            },
            {
                label: 'cutting speed',
                value: 'cutting speed'
            },
        ]
    },
    //驾驶舱
    cockpit:{
        title:'Industrial Internet cockpit',
        realTimeParams:{
            cl:'Production data',
            zzzs:'Spindle speed',
            jtzt:'Emergency stop status',
            qxsd:'Cutting speed',
            fzdl:'load current',
            eddl:'Rated current',
        },
        chartTitle:{
            clsjjk:'Production data monitoring',
            fzdljk:'Load current monitoring',
            zzzsjk:'Spindle speed monitoring',
            jtztjk:'Emergency stop status monitoring',
            qxsdjk:'Cutting speed monitoring',
            eddljk:'Rated current monitoring'
        }
    },
    examination: {
        examTab: [
            {
                name: "全部",
                state: "",
            },
            {
                name: "未开始",
                state: "0",
            },
            {
                name: "进行中",
                state: "1",
            },
            {
                name: "已结束",
                state: "2",
            },
        ]
    }
}